#ifndef NICKY_BDO_H
#define NICKY_BDO_H
#include "../include/data_types.h"
#include "../include/global.h"
#include "../include/utilities.h"
#include "../include/file_operations.h"
#include "../include/partcutdesc_generator.h"

#define NICKY_BDO_PARTCUTDESC_FILE_SIZE 29480

extern char* renames[][2];
extern char* skipableFiles[];

int isNickyBDOFile(char* fileName);
char* getNickyBDORealName(char* fileToPatchName);
int isNickyBDOSkipableFile(FileBlock* FileBlock);
char** readCommaSeparatedFile(char* pathToFile, int* totalEntriesReturn);
void modifyPartcutdescNickyBDO(FileBlock* fileBlocks, MetaFileInfo* metaFileInfo);
#endif // NICKY_BDO_H
