#ifndef PARTCUTDESC_GENERATOR_H
#define PARTCUTDESC_GENERATOR_H
#include <stdio.h>
#include <stdlib.h>
#include "../include/data_types.h"
#include "../include/utilities.h"
#include "../include/patcher.h"

typedef struct
{
    char* fileName;
    long lastCloseTag;
    long lastSlash;
    long fileNameEnd;
} PartCutDescEntry;


void addToPartCutDesc(FileBlock fileBlock, FILE* partcutdesc);
void createCutTypeBlock(char* blockName,char* compareFolderName,int* classAllowed, FILE* partcutdesc, MetaFileInfo* metaFileInfo,FileBlock* fileBlocks);
void generatePartcutdesc(FileBlock* fileBlocks, MetaFileInfo* metaFileInfo);
void writestr(char* str,FILE* fp);
char* getFileBlockFullPath(FileBlock fileBlock);
void modifyPartcutdesc(char* pathToPartcutdesc, FileBlock* fileBlock, MetaFileInfo* metaFileInfo);



#endif // PARTCUTDESC_GENERATOR_H
